<app-listing [data]="listingData" [columnTypes]="columnsType">
    <app-listing-col *ngFor="let column of columnsType" [column]="column"></app-listing-col>
</app-listing>

<ng-template #custom let-data let-column="column">
    <div style="color: brown;">{{ data[column['key']]}}</div>
</ng-template>

<button (click)="shuffleColumnType()">Shuffle</button>
<button (click)="deleteLast()">DeleteLast</button>